Last modified: 2013-04-22 16:14:48 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39594 - Gender neutral for undisclosed gender
Gender neutral for undisclosed gender
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
EducationProgram (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Rahul Maliakkal
: easy, i18n
Depends on:
Blocks: gender
  Show dependency treegraph
 
Reported: 2012-08-23 21:52 UTC by Aude
Modified: 2013-04-22 16:14 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Aude 2012-08-23 21:52:37 UTC
It would be nice for the extension to use gender neutral wording when the user has not specified their gender.

Right now, it says "Aude3 (Talk | contribs) removed himself as reviewer to article Word..." which is odd.  

It's not nice to assume a user's gender.  If you must assume, maybe make the default female! ;)
Comment 1 Jeroen De Dauw 2012-08-25 18:54:18 UTC
This is an i18n issue - AFAIK this extension is not doing anything different the core and other extensions here.
Comment 2 Siebrand Mazeland 2012-08-25 19:59:05 UTC
Iirc a third form can be used, that the software would use if gender is undetermined, for English that could be "themselves". If that third for,is not there, the first form is used, which is the male form. Note that many languages do not have a gender neutral form.
Comment 3 Jeroen De Dauw 2012-08-25 20:35:57 UTC
So is there actually an issue here, or can this bug be closed? And if there is, anything in the actual code that should change?
Comment 4 Aude 2012-08-25 21:32:04 UTC
if you can use gender neutral in the log message, that would be great and I think make the education tools more welcoming for everyone.

While not a top priority bug, it's a bit off-putting for the software to assume male gender for everyone, especially if the software supports gender neutral. Also, not sure how many realize they can specify gender in preferences.

Perhaps it could be:

$1 added {{GENDER:$2|himself|herself|themself}} as {{GENDER:$2|instructor}} to course $3

or 

$1 added {{GENDER:$2|himself|him or herself}} as {{GENDER:$2|instructor}} to course $3


PS: The education program has had far greater female participation than is usual for Wikipedia.

http://blog.wikimedia.org/2011/11/17/wikipedia-education-metrics/
Comment 5 Siebrand Mazeland 2012-08-26 10:14:15 UTC
Do submit patches. This is something easy, any entry level developer can contribute to.
Comment 6 Rahul Maliakkal 2013-02-18 19:42:57 UTC
Sumanah :See if you like this patch Ic0644d525e6f5e1c7c7c8e831d36c0e5b0dda532
Comment 7 Nemo 2013-02-18 20:25:27 UTC
(In reply to comment #6)
> Sumanah :See if you like this patch Ic0644d525e6f5e1c7c7c8e831d36c0e5b0dda532

I doubt "the self appointed" X can work, it should at least be "a self appointed"; but the verb "appointing" for simple flag additions sounds a bit weird. Why not use the singular they? It's quite widespread in MediaWiki. https://translatewiki.net/wiki/Special:WhatLinksHere/Template:Doc-singularthey
Also, please don't remove {{GENDER}} from the messages even when it's not used in English, because it's a hint for translators.
Comment 8 Nischay Nahata 2013-02-19 19:55:48 UTC
New patch is here https://gerrit.wikimedia.org/r/#/c/49851/

Rahul, its much easier if you just improve a change http://www.mediawiki.org/wiki/Git/Workflow#Improving_a_change
Comment 9 Alex Monk 2013-03-12 01:39:00 UTC
Merged by Siebrand. Thanks Rahul.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links